Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Managed Service for ClickHouse®
  • Getting started
  • Access management
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Delete
  • Yandex Monitoring metrics
  • Audit Trails events
  • Public materials
  • Release notes

In this article:

  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • FormatSchema
  1. API reference
  2. REST
  3. FormatSchema
  4. List

Managed Service for ClickHouse API, REST: FormatSchema.List

Written by
Yandex Cloud
Updated at June 15, 2026
View in Markdown
  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • FormatSchema

Returns a list of format schemas in a cluster.

HTTP requestHTTP request

GET https://mdb.api.cloud.yandex.net/managed-clickhouse/v1/clusters/{clusterId}/formatSchemas

Path parametersPath parameters

Field

Description

clusterId

string

Required field. ClickHouse cluster ID.
To get a ClickHouse cluster ID, use the ClusterService.List method.

The maximum string length in characters is 50.

Query parametersQuery parameters

Field

Description

pageSize

string (int64)

The maximum number of results per page to return. If the number of the results is larger than pageSize,
the service returns ListFormatSchemasResponse.nextPageToken. You can use it to get the next page of
the results in subsequent requests of a format schema list.

The maximum value is 1000.

pageToken

string

Page token. To get the next page of results, set pageToken to the ListFormatSchemasResponse.nextPageToken
returned by the previous format schema list request.

The maximum string length in characters is 100.

ResponseResponse

HTTP Code: 200 - OK

{
  "formatSchemas": [
    {
      "name": "string",
      "clusterId": "string",
      "type": "string",
      "uri": "string"
    }
  ],
  "nextPageToken": "string"
}

Field

Description

formatSchemas[]

FormatSchema

List of format schemas.

nextPageToken

string

This token allows you to get the next page of results when requesting the format schema list. If the number of
the results is larger than ListFormatSchemasRequest.pageSize, use the nextPageToken as the value for
the ListFormatSchemasRequest.pageToken parameter in the next request.
Each subsequent request will have its own nextPageToken to continue paging through the results.

FormatSchemaFormatSchema

Field

Description

name

string

Format schema name.

clusterId

string

ClickHouse cluster ID.

type

enum (FormatSchemaType)

Schema type. Possible values are the following:

  • FORMAT_SCHEMA_TYPE_PROTOBUF - Protobuf data format (including ProtobufSingle).
  • FORMAT_SCHEMA_TYPE_CAPNPROTO - Cap'n Proto data format.
  • FORMAT_SCHEMA_TYPE_PROTOBUF: Protobuf data format (including ProtobufSingle).
  • FORMAT_SCHEMA_TYPE_CAPNPROTO: Cap'n Proto data format.

uri

string

Link to the file of a format schema in Yandex Object Storage. Managed Service for ClickHouse works only with format schemas imported to Object Storage.

Was the article helpful?

Previous
Get
Next
Create
© 2026 Direct Cursus Technology L.L.C.